| Modifier and Type | Class and Description |
|---|---|
class |
VoidAction
Action with no args.
|
| Modifier and Type | Field and Description |
|---|---|
protected List<Action<T>> |
AbstractActions.actionList |
| Modifier and Type | Method and Description |
|---|---|
protected List<Action<T>> |
SimpleActions.createList() |
protected List<Action<T>> |
ConcurrentActions.createList() |
protected abstract List<Action<T>> |
AbstractActions.createList() |
| Modifier and Type | Method and Description |
|---|---|
Actions<T> |
Actions.add(Action<T> action)
Adds an action.
|
Actions<T> |
AbstractActions.add(Action<T> action) |
protected void |
AbstractActions.fireOne(Action<T> action,
T data) |
boolean |
Actions.has(Action<T> action)
Determines whether the actions contains the specified action.
|
boolean |
AbstractActions.has(Action<T> action) |
Actions<T> |
Actions.remove(Action<T> action)
Removes an action.
|
Actions<T> |
AbstractActions.remove(Action<T> action) |
| Modifier and Type | Method and Description |
|---|---|
ServerWebSocket |
ServerWebSocket.binaryAction(Action<ByteBuffer> action)
Attaches an action for the binary frame.
|
ServerWebSocket |
AbstractServerWebSocket.binaryAction(Action<ByteBuffer> action) |
ServerHttpExchange |
AbstractServerHttpExchange.bodyAction(Action action) |
ServerHttpExchange |
ServerHttpExchange.bodyAction(Action<?> action)
Attaches an action to be called with the whole request body.
|
ServerHttpExchange |
AbstractServerHttpExchange.chunkAction(Action action) |
ServerHttpExchange |
ServerHttpExchange.chunkAction(Action<?> action)
Attaches an action to be called with a chunk from the request body.
|
ServerWebSocket |
ServerWebSocket.closeAction(Action<Void> action)
Attaches an action for the close event.
|
ServerHttpExchange |
ServerHttpExchange.closeAction(Action<Void> action)
Attaches an action to be called when both request and response end
successfully or the underlying connection is aborted for some reason like
an error.
|
ServerWebSocket |
AbstractServerWebSocket.closeAction(Action<Void> action) |
ServerHttpExchange |
AbstractServerHttpExchange.closeAction(Action<Void> action) |
protected abstract void |
AbstractServerHttpExchange.doRead(Action<ByteBuffer> chunkAction) |
ServerHttpExchange |
ServerHttpExchange.endAction(Action<Void> action)
Attaches an action to be called when the request is fully read.
|
ServerHttpExchange |
AbstractServerHttpExchange.endAction(Action<Void> action) |
ServerWebSocket |
ServerWebSocket.errorAction(Action<Throwable> action)
Attaches an action to handle error from various things.
|
ServerHttpExchange |
ServerHttpExchange.errorAction(Action<Throwable> action)
Attaches an action to be called when this exchange gets an error.
|
ServerWebSocket |
AbstractServerWebSocket.errorAction(Action<Throwable> action) |
ServerHttpExchange |
AbstractServerHttpExchange.errorAction(Action<Throwable> action) |
ServerWebSocket |
ServerWebSocket.textAction(Action<String> action)
Attaches an action for the text frame.
|
ServerWebSocket |
AbstractServerWebSocket.textAction(Action<String> action) |
| Modifier and Type | Method and Description |
|---|---|
protected abstract Action<ServerHttpExchange> |
VibeAtmosphereServlet.httpAction()
An
Action to consume ServerHttpExchange. |
protected abstract Action<ServerWebSocket> |
VibeAtmosphereServlet.wsAction()
An
Action to consume ServerWebSocket. |
| Modifier and Type | Method and Description |
|---|---|
protected void |
AtmosphereServerHttpExchange.doRead(Action<ByteBuffer> chunkAction) |
| Modifier and Type | Method and Description |
|---|---|
protected abstract Action<ServerHttpExchange> |
VibeHttpHandler.httpAction()
An
Action to consume ServerHttpExchange. |
protected abstract Action<ServerWebSocket> |
VibeWebSocketApplication.wsAction()
An
Action to consume ServerWebSocket. |
| Modifier and Type | Method and Description |
|---|---|
protected void |
GrizzlyServerHttpExchange.doRead(Action<ByteBuffer> chunkAction) |
| Modifier and Type | Method and Description |
|---|---|
protected abstract Action<ServerWebSocket> |
VibeServerEndpoint.wsAction()
An
Action to consume ServerWebSocket. |
| Modifier and Type | Method and Description |
|---|---|
protected abstract Action<ServerHttpExchange> |
VibeServerCodec.httpAction()
An
Action to consume ServerHttpExchange. |
abstract Action<ServerWebSocket> |
VibeServerCodec.wsAction()
An
Action to consume ServerWebSocket. |
| Modifier and Type | Method and Description |
|---|---|
protected void |
NettyServerHttpExchange.doRead(Action<ByteBuffer> chunkAction) |
| Modifier and Type | Method and Description |
|---|---|
ServerWebSocket |
PlayServerWebSocket.binaryAction(Action<ByteBuffer> action) |
protected void |
PlayServerHttpExchange.doRead(Action<ByteBuffer> chunkAction) |
| Modifier and Type | Method and Description |
|---|---|
protected abstract Action<ServerHttpExchange> |
VibeServlet.httpAction()
An
Action to consume ServerHttpExchange. |
| Modifier and Type | Method and Description |
|---|---|
protected void |
ServletServerHttpExchange.doRead(Action<ByteBuffer> chunkAction) |
| Modifier and Type | Method and Description |
|---|---|
protected abstract Action<ServerHttpExchange> |
VibeRequestHandler.httpAction()
An
Action to consume ServerHttpExchange. |
protected abstract Action<ServerWebSocket> |
VibeWebSocketHandler.wsAction()
An
Action to consume ServerWebSocket. |
| Modifier and Type | Method and Description |
|---|---|
protected void |
VertxServerHttpExchange.doRead(Action<ByteBuffer> chunkAction) |
| Modifier and Type | Method and Description |
|---|---|
Action<ServerWebSocket> |
ServerWebSocketTestTemplate.Performer.serverAction() |
Action<ServerHttpExchange> |
ServerHttpExchangeTestTemplate.Performer.serverAction() |
| Modifier and Type | Method and Description |
|---|---|
ServerHttpExchangeTestTemplate.Performer |
ServerHttpExchangeTestTemplate.Performer.send(Action<org.eclipse.jetty.client.api.Request> requestAction) |
ServerHttpExchangeTestTemplate.Performer |
ServerHttpExchangeTestTemplate.Performer.send(String uri,
Action<org.eclipse.jetty.client.api.Request> requestAction) |
ServerHttpExchangeTestTemplate.Performer |
ServerHttpExchangeTestTemplate.Performer.serverAction(Action<ServerHttpExchange> serverAction) |
ServerWebSocketTestTemplate.Performer |
ServerWebSocketTestTemplate.Performer.serverAction(Action<ServerWebSocket> serverAction) |
Copyright 2014, The Vibe Project